com.here.msdkui.common.measurements

## Enum UnitSystem

- java.lang.Object
- - java.lang.Enum<UnitSystem>
  - - com.here.msdkui.common.measurements.UnitSystem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UnitSystem>

      public enum UnitSystem
      extends java.lang.Enum<UnitSystem>

  All available unit systems.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPERIAL_UK` Feet and miles.
    `IMPERIAL_US` Yards and miles.
    `METRIC` Meters and kilometers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnitSystem` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UnitSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METRIC

          public static final UnitSystem METRIC

      Meters and kilometers.

    - #### IMPERIAL_UK

          public static final UnitSystem IMPERIAL_UK

      Feet and miles.

    - #### IMPERIAL_US

          public static final UnitSystem IMPERIAL_US

      Yards and miles.

  - ### Method Detail

    - #### values

          public static UnitSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnitSystem c : UnitSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnitSystem valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null